Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.sort
Interface StringCollator

All Superinterfaces:
  Serializable

All Known Subinterfaces:
  SubstringMatcher

All Known Implementing Classes:
  AlphanumericComparer, CodepointCollator, LowercaseFirstComparer, NamedCollation, RuleBasedSubstringMatcher, UppercaseFirstComparer

    public interface StringCollator

extends Serializable

This interface represents a "collation" as defined in XPath, that is, a set of rules for comparing strings

Method Summary
`int` | `compareStrings(String o1, String o2)` Compare two strings
`Object` | `getCollationKey(String s, Platform platform)` Get a collation key for two Strings.

Method Detail

### compareStrings

    int compareStrings(String o1,
                       String o2)

  Compare two strings

  Parameters:
    `o1` - the first string
    `o2` - the second string
  Returns:
    0 if the strings are considered equal, a negative integer if the first string is less than the second, a positive integer if the first string is greater than the second

### getCollationKey

    Object getCollationKey(String s,
                           Platform platform)

  Get a collation key for two Strings. The essential property of collation keys is that if two values are equal under the collation, then the collation keys are compare correctly under the equals() method.

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.